package com.goldenwater.slaj.eme.service;

import java.util.List;
import com.goldenwater.slaj.eme.domain.BusiPlanCount;

/**
 * 应急预案统计 服务层
 */
public interface IBusiPlanCountService {

    /**
     * 查询应急预案统计
     * @param guid 查询条件
     * @return 应急预案统计
     */
    BusiPlanCount selectBusiPlanCountByGuid(String guid);

    /**
     * 查询应急预案统计列表
     * @param busiPlanCount 查询条件
     * @return 应急预案统计集合
     */
    List<BusiPlanCount> selectBusiPlanCountList(BusiPlanCount busiPlanCount);

    /**
     * 新增应急预案统计
     * @param busiPlanCount 应急预案统计
     * @return 影响行数
     */
    int insertBusiPlanCount(BusiPlanCount busiPlanCount);

    /**
     * 修改应急预案统计
     * @param busiPlanCount 应急预案统计
     * @return 影响行数
     */
    int updateBusiPlanCount(BusiPlanCount busiPlanCount);

    /**
     * 删除应急预案统计
     * @param guid 主键
     * @return 影响行数
     */
    int deleteBusiPlanCountByGuid(String guid);

    /**
     * 批量删除应急预案统计
     * @param guids 主键数组
     * @return 影响行数
     */
    int deleteBusiPlanCountByGuids(String[] guids);
}
